1. Sales
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
    • Get Product By ID
    • products with inventory
    • product details with Inventory By Product ID
    • Product Variant List ID & Name
    • Variant Details By Variant ID
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
      POST
    • Get Sales Data By Id
      GET
    • Order Create
      POST
    • Order Status
      GET
    • Shipping Details
      GET
    • Update Due Date
      POST
    • Update Order Status
      POST
  1. Sales

Get Sales Data By Id

GET
/api/v1/sales/28315158

Sales Order Details#

Purpose#

Retrieve complete details of a specific sales order, including customer information, billing details, items, payments, and additional charges.

Why would you use this?#

Use this API when your system needs detailed information about a particular sales order.
Common use cases:
Order detail pages
ERP synchronization
Invoice generation
Customer service operations
Payment reconciliation

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
salesIdYesSales Order ID
branch_idYesBranch ID.

Information Returned#

Sales Order Information
Customer Details
Billing & Shipping Address
Payment Details
Sales Items
Receipt Information
Additional Charges
Credit Adjustments

Important Notes#

Use the salesId received from the Sales Order List API.
Receipt information contains payment details received against the sales order.
Additional charges and credit adjustments may be empty if not applicable.
Sales items are returned separately from sales header information.

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/sales/28315158?branch_id=24448' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "Sales Detail",
    "code": "200",
    "response": {
        "sales": {
            "salesId": 28315158,
            "branchId": 24448,
            "companyId": 24448,
            "parentSalesId": 0,
            "alterByName": "New employ",
            "createdByName": "New employ",
            "createdOn": "2025-12-26 15:14:32.263612+05:30",
            "modifiedOn": "2025-12-26 15:14:32.263615+05:30",
            "createdMode": null,
            "prefix": "ORD",
            "salesNo": 54,
            "salesDate": "2025-12-26 15:14:32.259619+05:30",
            "dueDate": "2025-12-26 00:00:00+05:30",
            "status": "open",
            "type": "pos",
            "isDeleted": 0,
            "isReturn": 0,
            "billingAddressLine1": null,
            "billingAddressLine2": null,
            "billingCityCode": "3313",
            "billingCityName": "Rahuri",
            "billingCompanyName": null,
            "billingCountriesCode": "IN",
            "billingCountriesName": "India",
            "billingFirstName": null,
            "billingLastName": null,
            "billingPinCode": null,
            "billingStateCode": "27",
            "billingStateName": "Maharashtra",
            "shippingAddressLine1": null,
            "shippingAddressLine2": null,
            "shippingCityCode": "3313",
            "shippingCityName": "Rahuri",
            "shippingCompanyName": null,
            "shippingCountriesCode": "IN",
            "shippingCountriesName": "India",
            "shippingFirstName": null,
            "shippingLastName": null,
            "shippingPinCode": null,
            "shippingStateCode": "27",
            "shippingStateName": "Maharashtra",
            "shippingDate": null,
            "contactId": 0,
            "customerName": " ",
            "mobileNumber": null,
            "total": 11.0,
            "paidAmount": 11.0,
            "creditAmount": 0.0,
            "tendered": 11.0,
            "roundoff": 0.5,
            "flatDiscount": 0.0,
            "commissionPer": 0.0,
            "commissionValue": 0.0,
            "additionalChargeTotalAmount": 0.0,
            "billDiscount": 0.0,
            "gstApply": 0,
            "reverseCharge": 0,
            "sez": 0,
            "taxType": 0,
            "paymentTermId": 0,
            "paymentTermName": "",
            "receiptPaymentType": "cash",
            "appPaymentMethod": null,
            "onlinePaymentId": null,
            "onlinePaymentAmount": 0.0,
            "onlinePaymentDate": null,
            "onlinePaymentStatus": null,
            "onlinePaymentType": null,
            "onlineOrder": 0,
            "paymentReminder": 0,
            "referenceNo": null,
            "vehicleNo": null,
            "weight": null,
            "transportId": 0,
            "deliverType": null,
            "deliveredDate": null,
            "reasonDescription": null,
            "discountId": 0,
            "discountIdFlat": 0,
            "dayAfterMessage": 0,
            "discountJson": "{\"discount\": []}",
            "stockTransferId": 0,
            "stockTransferNo": "0",
            "orderType": "walkin",
            "orderNo": null,
            "tokenNo": 0,
            "defaultSyncInvoice": 0,
            "imgLocation": null,
            "shopifyOrderId": 0,
            "shopifyOrderNo": null,
            "pdfToken": "97f25af1ed69d0ab563345e0a1c612fd",
            "creditNoteId": "",
            "agentId": 0,
            "remarks": "",
            "campaignId": 0,
            "couponDiscountAmount": 0.0,
            "customerCouponId": 0
        },
        "salesItems": [],
        "receipt": [
            {
                "receiptBillId": 28108270,
                "kasarAmount": 0.0,
                "totalReceipt": 11.0,
                "receiptNo": "PAY59",
                "receiptId": 27961902,
                "salesId": 28315158,
                "paymentType": "cash",
                "receiptDate": "2025-12-26 15:14:32.259619+05:30",
                "creditApplied": 0.0
            }
        ],
        "additionalCharge": [],
        "creditApplied": []
    }
}
Previous
Get All Sales Data
Next
Order Create
Built with